Redmineでプラグイン作ってたら「undefined method `plugins’ for Rails:Module (NoMethodError)」

感想おまちしてます!

redmine

プラグインを作っていたら急に以下のエラーが出てWEBrickが動かなくなった。

=> Booting WEBrick...
C:/fujihara/Ruby/redmine-0.8.0/config/routes.rb:10: undefined method `plugins' for Rails:Module (NoMethodError)
from C:/fujihara/Ruby/redmine-0.8.0/vendor/rails/actionpack/lib/action_controller/routing/route_set.rb:208:in `draw'
from C:/fujihara/Ruby/redmine-0.8.0/config/routes.rb:1
from C:/fujihara/Ruby/redmine-0.8.0/vendor/rails/activesupport/lib/active_support/dependencies.rb:503:in `load'
from C:/fujihara/Ruby/redmine-0.8.0/vendor/rails/activesupport/lib/active_support/dependencies.rb:503:in `load'
from C:/fujihara/Ruby/redmine-0.8.0/vendor/rails/activesupport/lib/active_support/dependencies.rb:355:in `new_constants_in'
from C:/fujihara/Ruby/redmine-0.8.0/vendor/rails/activesupport/lib/active_support/dependencies.rb:503:in `load'
from C:/fujihara/Ruby/redmine-0.8.0/vendor/rails/actionpack/lib/action_controller/routing/route_set.rb:254:in `load_routes!'
from C:/fujihara/Ruby/redmine-0.8.0/vendor/rails/actionpack/lib/action_controller/routing/route_set.rb:234:in `load!'
from C:/fujihara/Ruby/redmine-0.8.0/vendor/rails/actionpack/lib/action_controller/routing/route_set.rb:249:in `reload
from ./script/../config/../vendor/rails/railties/lib/initializer.rb:418:in `initialize_routing'
from ./script/../config/../vendor/rails/railties/lib/initializer.rb:158:in `process'
from ./script/../config/../vendor/rails/railties/lib/initializer.rb:97:in `send'
from ./script/../config/../vendor/rails/railties/lib/initializer.rb:97:in `run'
from C:/fujihara/Ruby/redmine-0.8.0/config/environment.rb:20
from C:/fujihara/Ruby/ruby-1.8.7-p72-i386-mswin32/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'
from C:/fujihara/Ruby/ruby-1.8.7-p72-i386-mswin32/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'
from C:/fujihara/Ruby/redmine-0.8.0/vendor/rails/activesupport/lib/active_support/dependencies.rb:510:in `require'
from C:/fujihara/Ruby/redmine-0.8.0/vendor/rails/activesupport/lib/active_support/dependencies.rb:355:in `new_constants_in'
from C:/fujihara/Ruby/redmine-0.8.0/vendor/rails/activesupport/lib/active_support/dependencies.rb:510:in `require'
from C:/fujihara/Ruby/redmine-0.8.0/vendor/rails/railties/lib/commands/servers/webrick.rb:59
from C:/fujihara/Ruby/ruby-1.8.7-p72-i386-mswin32/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'
from C:/fujihara/Ruby/ruby-1.8.7-p72-i386-mswin32/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'
from C:/fujihara/Ruby/redmine-0.8.0/vendor/rails/activesupport/lib/active_support/dependencies.rb:510:in `require'
from C:/fujihara/Ruby/redmine-0.8.0/vendor/rails/activesupport/lib/active_support/dependencies.rb:355:in `new_constants_in'
from C:/fujihara/Ruby/redmine-0.8.0/vendor/rails/activesupport/lib/active_support/dependencies.rb:510:in `require'
from C:/fujihara/Ruby/redmine-0.8.0/vendor/rails/railties/lib/commands/server.rb:39
from C:/fujihara/Ruby/ruby-1.8.7-p72-i386-mswin32/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'
from C:/fujihara/Ruby/ruby-1.8.7-p72-i386-mswin32/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'
from script/server:3

結局意味が分からなかったので、Redmineの新しいバージョンを落としてきて移動した。